import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { BytesWithAggregatesFilterObjectSchema as BytesWithAggregatesFilterObjectSchema } from './BytesWithAggregatesFilter.schema';
import { DateTimeWithAggregatesFilterObjectSchema as DateTimeWithAggregatesFilterObjectSchema } from './DateTimeWithAggregatesFilter.schema'

const cloudfilechunkscalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => CloudFileChunkScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => CloudFileChunkScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => CloudFileChunkScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => CloudFileChunkScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => CloudFileChunkScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  fileId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  seq: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  data: z.union([z.lazy(() => BytesWithAggregatesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeWithAggregatesFilterObjectSchema), z.coerce.date()]).optional()
}).strict();
export const CloudFileChunkScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.CloudFileChunkScalarWhereWithAggregatesInput> = cloudfilechunkscalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.CloudFileChunkScalarWhereWithAggregatesInput>;
export const CloudFileChunkScalarWhereWithAggregatesInputObjectZodSchema = cloudfilechunkscalarwherewithaggregatesinputSchema;
